# $Revision: 1.3 $, $Date: 2003/05/14 22:35:11 $
Summary:	This theme engine gives gtk+ a flattened appearance
Summary(pl):	Motyw dajcy gtk+ spaszczony wygld
Name:		gtk-theme-engine-flat
Version:	0.1
Release:	1
License:	LGPL
Group:		Themes/Gtk
Source0:	http://download.freshmeat.net/themes/flat/flat-1.2.x.tar.gz
Patch0:		%{name}-gtkrc.patch
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gtk+-devel
BuildRequires:	libtool
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_prefix		/usr/X11R6

%description
This theme engine gives gtk+ a flattened appearance with elements
taken from the MacOS and Metal uis. Modified from the default and
metal theme engines; the colors and background pixmaps are fully
customizable. 

%description -l pl
Ten motyw daje gtk+ spaszczony wygld z elementami wzitymi z
interfejsw uytkownika MacOS i Metal. Jest zmodyfikowany w stosunku
do motyww default i metal; kolory i obrazy ta s w peni
konfigurowalne.

%prep
%setup  -q -n gtk-flat-theme-%{version}
%patch0 -p1

%build
rm -f missing acinclude.m4
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README
%attr(755,root,root) %{_libdir}/gtk/themes/engines/*.so
%dir %{_datadir}/themes/*
%dir %{_datadir}/themes/*/gtk
%{_datadir}/themes/*/gtk/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: gtk-theme-engine-flat.spec,v $
Revision 1.3  2003/05/14 22:35:11  qboosh
- pl

Revision 1.2  2003/05/14 10:39:07  kloczek
- added gtkrc patch which removes setup default font to
  -cronyx-helvetica-medium-r-normal-*-14-*-*-*-p-*-koi8-r

Revision 1.1  2003/05/14 09:59:54  kloczek
- gtk+ flat theme engine (from scrach).
